Package ru.bitel.bgbilling.modules.mobile.server.bean

# Class AbstractAction

java.lang.Object
ru.bitel.bgbilling.modules.mobile.server.bean.AbstractAction

public abstract class AbstractAction extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `action`
  `protected Map<String,Object>`
  `actionMap`
  Мап акшена, он входит в dataMap, в большенстве случаев использовать его для передачи данных
  `protected Connection`
  `con`
  `protected ActionContext`
  `context`
  `protected Contract`
  `contract`
  `protected int`
  `contractId`
  `protected Map<String,Object>`
  `dataMap`
  Мап запроса, используется в редких случаях на прямую
  `protected int`
  `moduleId`
  `protected ParameterMap`
  `moduleSetup`
  `protected ParameterMap`
  `req`
  `protected Setup`
  `setup`
  `protected int`
  `userId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate(String key, Date def)`
  `void`
  `setContext(ActionContext context, Contract contract, Map<String,String> requestParamsMap)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userId

    protected int userId

  - ### moduleId

    protected int moduleId

  - ### contractId

    protected int contractId

  - ### action

    protected String action

  - ### contract

    protected Contract contract

  - ### con

    protected Connection con

  - ### setup

    protected Setup setup

  - ### req

    protected ParameterMap req

  - ### context

    protected ActionContext context

  - ### moduleSetup

    protected ParameterMap moduleSetup

  - ### dataMap

    protected Map<String,Object> dataMap
    Мап запроса, используется в редких случаях на прямую

  - ### actionMap

    protected Map<String,Object> actionMap
    Мап акшена, он входит в dataMap, в большенстве случаев использовать его для передачи данных

- ## Constructor Details

  - ### AbstractAction

    public AbstractAction()

- ## Method Details

  - ### setContext

    public void setContext(ActionContext context, Contract contract, Map<String,String> requestParamsMap)

  - ### getDate

    public Date getDate(String key, Date def)